BEGIN CLAIRIS




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("ClairisResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~Ah, Ghastkills wench. Why did you resurrect me?~
   IF ~!InParty("lordvamp")~ THEN REPLY ~Do you want to die again, Clairis?~ GOTO briefingNV1f
   IF ~InParty("lordvamp")~ THEN REPLY ~Do you want to die again, Clairis?~ GOTO briefingNV1df  
   IF ~!InParty("lordvamp")~ THEN REPLY ~I have a weakness for strong women.~ GOTO briefingNV2fc   
   IF ~InParty("lordvamp")~ THEN REPLY ~I have a weakness for strong women.~ GOTO briefingNV2fnc   
   ++ ~I wanted to kill you again!~ + briefingFightf
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("ClairisResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Ah, Ghastkills minion. Why did you resurrect me?~
   IF ~!InParty("lordvamp")~ THEN REPLY ~Do you want to die again, Clairis?~ GOTO briefingNV1m
   IF ~InParty("lordvamp")~ THEN REPLY ~Do you want to die again, Clairis?~ GOTO briefingNV1dm 
   IF ~!InParty("clairis")~ THEN REPLY ~I have a weakness for strong women.~ GOTO briefingNV2mc   
   IF ~InParty("clairis")~ THEN REPLY ~I have a weakness for strong women.~ GOTO briefingNV2mnc   
   ++ ~I wanted to kill you again!~ + briefingFightm
END

IF ~~ briefingNV1df
  SAY ~No, I don't want to die. I want to be with my Daerty forever.~
  ++ ~Join my party, Clairis. Prove loyality and I will not separate you from your beloved.~ + briefingJoinCf  
  ++ ~You are free. I release you.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV1f
  SAY ~No, I don't want to die. At least until there is possibility you can resurrect my beloved Daerty, as you did with me.~
  ++ ~Join my party, Clairis. Prove loyality and I will think about resurrecting your man.~ + briefingJoinNCf  
  ++ ~You are free. I release you.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV1m
  SAY ~No, I don't want to die. At least until there is possibility you can resurrect my beloved Daerty, as you did with me.~
  ++ ~Join my party, Clairis. It will increase the strength of my party.~ + briefingJoinNCm  
  ++ ~You are free. I release you.~ + briefingFreem
  ++ ~Die, bloodsucker!~ + briefingFightm
END

IF ~~ briefingNV1dm
  SAY ~No, I don't want to die. I want to be with my Daerty forever.~
  ++ ~Join my party, Clairis. It will increase the strength of my party.~ + briefingJoinCm  
  ++ ~You are free. I release you.~ + briefingFreem
  ++ ~Die, bloodsucker!~ + briefingFightm
END

IF ~~ briefingNV2fc
  SAY ~I love only Daerthmac and will not betray him. By the way, I don't see him with you. I beg you, return him to me.~
  ++ ~Join my party and prove your loyality, Clairis, maybe I decide to resurrect him for you.~ + briefingJoinNCf  
  ++ ~You are free. You can go anywhere you like. As for Daerthmac, I will think about him later.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV2mc
  SAY ~I love only Daerthmac and will not betray him. By the way, I don't see him with you. I beg you, return him to me.~
  ++ ~Join my party and prove your loyality, Clairis, maybe I decide to resurrect him for you.~ + briefingJoinNCm  
  ++ ~You are free. You can go anywhere you like. As for Daerthmac, I will think about her later.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV2mnc
  SAY ~I love only Daerthmac and will not betray him. Daerthmac, darling, I throught I'll never see you again.~
  ++ ~Join my party and prove your loyality, Clairis, as Daerthmac did. You will be together there.~ + briefingJoinCm  
  ++ ~You are free. You can go anywhere you like.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingNV2fnc
  SAY ~I love only Daerthmac and will not betray him. Daerthmac, darling, I throught I'll never see you again.~
  ++ ~Join my party and prove your loyality, Clairis, as Daerthmac did. You will be together there.~ + briefingJoinCf  
  ++ ~You are free. You can go anywhere you like.~ + briefingFreef
  ++ ~Die, bloodsucker!~ + briefingFightf
END

IF ~~ briefingJoinNCf
  SAY ~Don't forget your words about Daerthmac. I miss him.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("ClairisResurrected","GLOBAL",2)
  DestroyItem("VVHCLAIR")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END




IF ~~ briefingJoinNCm
  SAY ~Don't forget your words about Daerthmac. I miss him.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("ClairisResurrected","GLOBAL",2)
  DestroyItem("VVHCLAIR")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefingJoinCf
  SAY ~Daethmac, my love, I'm going with you.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("ClairisResurrected","GLOBAL",3)
  DestroyItem("VVHCLAIR")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefingJoinCm
  SAY ~Daethmac, my love, I'm going with you.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("ClairisResurrected","GLOBAL",3)
  DestroyItem("VVHCLAIR")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END



IF ~~ briefingFightf
  SAY ~I'll scratch your eyes, bitch!~
  IF ~~ THEN DO ~SetGlobal("ClairisResurrected","GLOBAL",2)
LeaveParty()
  Enemy()
ActionOverride("lordvamp",LeaveParty())
ActionOverride("lordvamp",Enemy())
~ EXIT
END


IF ~~ briefingFightm
  SAY ~I'll shorten you, fool!~
  IF ~~ THEN DO ~SetGlobal("ClairisResurrected","GLOBAL",2)
  LeaveParty()
Enemy()
ActionOverride("lordvamp",LeaveParty())
ActionOverride("lordvamp",Enemy())
~ EXIT
END


IF ~~ briefingFreef
  SAY ~Goodbye, <CHARNAME>.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("ClairisResurrected","GLOBAL",3)
DestroySelf()
ActionOverride("lordvamp",LeaveParty())
ActionOverride("lordvamp",EscapeArea())~ EXIT
END

IF ~~ briefingFreem
  SAY ~Goodbye, <CHARNAME>.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("ClairisResurrected","GLOBAL",3)
DestroySelf()
ActionOverride("lordvamp",LeaveParty())
ActionOverride("lordvamp",EscapeArea())~ EXIT
END

//when thrown out


IF ~~ notparty2f
SAY ~Come anytime if you want to talk. I have so many topics to chat upon.~
IF ~~ THEN DO ~~ EXIT
END

IF ~~ notparty2m
SAY ~Come anytime if you want to talk.~
IF ~~ THEN DO ~~ EXIT
END



IF ~Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Yes, <CHARNAME>?~ 
 IF ~BeenInParty("lordvamp")~ THEN REPLY ~Come with me, Clairis, I need your skills.~ GOTO notparty1f
 IF ~BeenInParty("lordvamp")
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if your help would be needed.~ GOTO notpartGoST
  IF ~BeenInParty("lordvamp")
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to former castle of Daerthmac, Clairis. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~Stay here, Clairis, I will return.~ + notparty2f
  ++ ~You are free to go. I release you.~ + briefingFreef  
 ++ ~I decided to end your life.~ + briefingFightf
END


IF ~!Gender(Player1,FEMALE)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Yes, <CHARNAME>?~ 
 IF ~~ THEN REPLY ~Come with me, Clairis, I need your skills.~ GOTO notparty1m
 IF ~
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
   IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to former castle of Daerthmac, Clairis. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~Stay here, Clairis, I will return.~ + notparty2m
  ++ ~You are free to go. I release you.~ + briefingFreem 
 ++ ~I decided to end your life.~ + briefingFightm
END


IF ~~ notparty1m
  SAY ~Yes.~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notparty1f
  SAY ~Yes.~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~See you there.~
   IF ~~ THEN DO ~MakeGlobal()
   LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[536.788],S)~ EXIT
 END  

IF ~~ vampStrongholdST1
  SAY ~See you there.~
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[2656.1026],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[2856.886],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3114.1397],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3283.1654],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3433.1654],W)~ EXIT
 IF ~~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3433.1543],W)~ EXIT
END


// talk in party

IF ~!Gender(Player1,FEMALE)
InParty(Myself)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, what?~ 
 ++ ~Are you hungry? You can suck my blood, Clairis.~ + suckblood
 IF ~!Race(Player1,VAMPIRE)~ THEN REPLY ~Make me a vampire, Daerthmac.~ GOTO vampconvm 
 ++ ~Tell me your story, Clairis.~ + talkDaerthmacM
 IF ~Global("ClairisDaertBabyTalk","GLOBAL",0)~ THEN REPLY ~Tell me, Clairis, why did you steal baby of Ghastkill?~ GOTO talkDaerthmacBabyM
  IF ~
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
   IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to former castle of Daerthmac, Clairis. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~No, nothing right now, Clairis. Sorry.~ + byesilent
   ++ ~I decided to kill you.~ + briefingFightm
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, what?~ 
 ++ ~Are you hungry? You can suck my blood, Clairis.~ + suckblood
 IF ~!Race(Player1,VAMPIRE)~ THEN REPLY ~Make me a vampire, Clairis.~ GOTO vampconvf 
 ++ ~Tell me your story, Clairis.~ +   talkDaerthmacF
 IF ~Global("ClairisDaertBabyTalk","GLOBAL",0)~ THEN REPLY ~Tell me, Clairis, why did you steal baby of Ghastkill?~ GOTO talkDaerthmacBabyF
   IF ~
 Global("BodhiStronghold","GLOBAL",2)~ THEN REPLY ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ GOTO notpartGoST
   IF ~
  Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to former castle of Daerthmac, Clairis. I will find you there, if your help would be needed.~ GOTO vampStrongholdST1
 ++ ~No, nothing right now, Clairis. Sorry for disturbance.~ + byesilentf
   ++ ~I decided to kill you.~ + briefingFightf
END

IF ~~ byesilent
SAY ~Talk to me anytime.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ byesilentf
SAY ~Talk to me anytime.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkDaerthmacM
  SAY ~I was born in noble elven family. But my parents were killed by orc's raid, and I fled with no money in pockets. Finally I started working as maid and babysitter for humans here, in Amn. My last job was in Ghastkill family.~
  IF ~~ THEN GOTO talkDaerthmacM2
END

IF ~~ talkDaerthmacM2
  SAY ~Daerthmac attacked me one evening. He asked few things about Ghastkills. I through he gonna kill me. But he spared me and even expressed sympathy to me. I've started dating him. And then accepted his proposition about immortality. I saw a lot of pain in this world, a lot of death, freeing from it is a good thing.~
  IF ~~ THEN GOTO talkDaerthmacM3
END

IF ~~ talkDaerthmacM3
  SAY ~Daerthmac made me vampire and we lived happy as one.~
  IF ~~ THEN EXIT
END



IF ~~ talkDaerthmacF
  SAY ~I was born in noble elven family. But my parents were killed by orc's raid, and I fled with no money in pockets. Finally I started working as maid and babysitter for humans here, in Amn. My last job was in Ghastkill family.~
  IF ~~ THEN GOTO talkDaerthmacF2
END

IF ~~ talkDaerthmacF2
  SAY ~Daerthmac attacked me one evening. He asked few things about Ghastkills. I through he gonna kill me. But he spared me and even expressed sympathy to me. I've started dating him. And then accepted his proposition about immortality. I saw a lot of pain in this world, a lot of death, freeing from it is a good thing.~
  IF ~~ THEN GOTO talkDaerthmacF3
END

IF ~~ talkDaerthmacF3
  SAY ~Daerthmac made me vampire and we lived happy as one.~
  IF ~~ THEN EXIT
END




IF ~~ suckblood
  SAY ~Blood is my weakness.~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~You wanted to poison me?!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~Good!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,95,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
  ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Clairis comes closer and gently embraces you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Clairis comes closer and gently embraces you.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Clairis.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Clairis. Clairis is determined and wicked woman, but her feelings for Daerthmac are strong and she will kill for him.)~

  IF ~~ THEN DO ~  
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,STR,0,ADD)
		ChangeStat(Player1,CON,2,ADD)
		ChangeStat(Player1,WIS,-1,ADD)
		ChangeStat(Player1,INT,-1,ADD)
	

		SetGlobal("DaerthmacVampirized","GLOBAL",1)	
	~ EXIT
END

IF ~~ talkDaerthmacBabyF
  SAY ~Ghastkills have very strong blood relation to Daerthmac's family. He is a vampire and can't be officially declared as owner of his castle. So he asked me to steal Ghastkills baby. I would raise him as our son, so he will adore his undead parents and servants, and make him the only successor to Daerthmac's family assets. You see, <CHARNAME>, we didn't mean to kill him or harm him.~
  IF ~~ THEN DO ~SetGlobal("ClairisDaertBabyTalk","GLOBAL",1)~ EXIT
END



IF ~~ talkDaerthmacBabyM
  SAY ~Ghastkills have very strong blood relation to Daerthmac's family. He is a vampire and can't be officially declared as owner of his castle. So he asked me to steal Ghastkills baby. I would raise him as our son, so he will adore his undead parents and servants, and make him the only successor to Daerthmac's family assets. You see, <CHARNAME>, we didn't mean to kill him or harm him.~
  IF ~~ THEN DO ~SetGlobal("ClairisDaertBabyTalk","GLOBAL",1)~ EXIT
END

//pledgeMaster1F  -> talkDaerthmacF3
